PPI(4)

NAME
ppi - user-space interface to ppbus parallel port

SYNOPSIS
ppi* at ppbus?

Minor numbering: Unit numbers correspond directly to ppbus(4) numbers.

DESCRIPTION
The ppi driver provides a convenient means for user applications to manipulate the state of the parallel port, enabling easy low-speed I/O operations without the security problems inherent with the use of the /dev/io interface.

The programming interface is described in ppi(9).

SEE ALSO
atppc(4), io(4), ppbus(4), ppi(9)

HISTORY
ppi originally appeared in FreeBSD.

AUTHORS
This manual page is based on the FreeBSD ppi manual page and was updated for the NetBSD port by Gary Thorpe.

BUGS
The inverse sense of signals is confusing.

The ioctl() interface is slow, and there is no way (yet) to chain multiple operations together.

The headers required for user applications are not installed as part of the standard system.